cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/studio/projects/prj_example/clips/clp_example" \
--header "xi-api-key: $BREEZE_API_KEY"from breeze_blue import BreezeBlue
client = BreezeBlue()
result = client.studio.clips.get("prj_example", "clp_example")import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient();
const result = await client.studio.clips.get("prj_example", "clp_example");{
"clip": {
"id": "<string>",
"chapter_id": "<string>",
"name": "<string>",
"script": "<string>",
"instructions": "<string>",
"voice_id": "<string>",
"voice": {
"id": "<string>",
"name": "<string>",
"available": true
},
"playback": {
"speed": 123,
"volume": 123
},
"trailing_silence_ms": 123,
"effective_instructions": "<string>",
"effective_trailing_silence_ms": 123,
"version": 123
},
"edit_token": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Studio
Get a clip
Get one clip with its script, voice, playback, and the instructions and silence it inherits from the project.
GET
/
v1
/
studio
/
projects
/
{project_id}
/
clips
/
{clip_id}
cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/studio/projects/prj_example/clips/clp_example" \
--header "xi-api-key: $BREEZE_API_KEY"from breeze_blue import BreezeBlue
client = BreezeBlue()
result = client.studio.clips.get("prj_example", "clp_example")import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient();
const result = await client.studio.clips.get("prj_example", "clp_example");{
"clip": {
"id": "<string>",
"chapter_id": "<string>",
"name": "<string>",
"script": "<string>",
"instructions": "<string>",
"voice_id": "<string>",
"voice": {
"id": "<string>",
"name": "<string>",
"available": true
},
"playback": {
"speed": 123,
"volume": 123
},
"trailing_silence_ms": 123,
"effective_instructions": "<string>",
"effective_trailing_silence_ms": 123,
"version": 123
},
"edit_token": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Continue building
Manage Studio projects
Import scripts, edit safely, and retry writes.
Update clips in bulk
Change up to 100 clips in one write.
Studio CLI
Run the same operations from a terminal.
Authorizations
Breeze Developer API key.
Path Parameters
Studio project ID, such as prj_….
Clip ID, such as clp_….

